<template>
  <h-view id="rejectDetail">
    <h-header :proportion="[5,1,1]" class="bar-custom">
      <div slot="left" class="h-header-btn">
        <img src="@/assets/userBind/arrow.png" @click="$routeGo()" >
        <span>消息详情</span>
      </div>
    </h-header>
    <h-content>
      <div class="userInfo">审批意见</div>
      <div class="info-content">
        <p>{{ notice_detail }}</p>
      </div>
    </h-content>
  </h-view>
</template>
<script>
export default {
  data () {
    return {
      notice_detail: '',
    }
  },
  beforeRouteEnter (to, from, next) {
    next(vm => {
      vm.getDetail()
    })
  },
  methods: {
    getDetail () {
      let vm = this
      let url = process.env.basePath + 'app_notice_detail_query'
      let param = {
        notice_id: vm.$route.params.notice_id,
      }
      hlsPopup.showLoading('请稍候')
      vm.$post(url, param).then(function (res) {
        vm.hlsPopup.hideLoading()
        if (res.result === 'S') {
          vm.notice_detail = res.info.notice_body
        } else {
          hlsPopup.showLongCenter(res.message)
        }
      })
    },
  },
}
</script>
<style lang="less" >
#rejectDetail{
 .userInfo {
      height: 45px;
      line-height: 45px;
      color: @headerColor;
      margin-top: 5px;
      font-size: 15px;
      margin-left: 16px;
      position: relative;
    }
    .userInfo::before {
      content: "";
      display: block;
      width: 4px;
      height: 20px;
      background-color: @headerColor;
      position: absolute;
      left: -15px;
      top: 12px;
    }
    .info-content{
        width:90%;
        margin: 0 auto;
        line-height: 20px;
        p{
            text-indent: 35px;
            color: #666666;
            font-size: 14px;
        }
    }
}
</style>
